- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
WP3PageFormatGroup Class Reference

`#include <WP3PageFormatGroup.h>`

Inheritance diagram for WP3PageFormatGroup:

## Public Member Functions
| WP3PageFormatGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
| ~WP3PageFormatGroup ()
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
void | parse (WP3Listener *listener)
Public Member Functions inherited from WP3VariableLengthGroup
| WP3VariableLengthGroup ()
virtual | ~WP3VariableLengthGroup ()
Public Member Functions inherited from WP3Part
virtual | ~WP3Part ()

## Private Attributes
unsigned | m_leftMargin
unsigned | m_rightMargin
double | m_lineSpacing
bool | m_isRelative
std::vector< WPXTabStop > | m_tabStops
unsigned | m_topMargin
unsigned | m_bottomMargin
unsigned char | m_justification
unsigned short | m_suppressCode
unsigned | m_indent

## Additional Inherited Members
Static Public Member Functions inherited from WP3VariableLengthGroup
static WP3VariableLengthGroup * | constructVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
Static Public Member Functions inherited from WP3Part
static WP3Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)
Protected Member Functions inherited from WP3VariableLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned char | getSubGroup () const
unsigned short | getSize () const

## Constructor & Destructor Documentation

WP3PageFormatGroup::WP3PageFormatGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |

WP3PageFormatGroup::~WP3PageFormatGroup | ( |  | ) |

## Member Function Documentation

void WP3PageFormatGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| virtual

Reimplemented from WP3VariableLengthGroup.

void WP3PageFormatGroup::parse | ( | WP3Listener * | listener | ) |
| virtual

Implements WP3Part.

## Member Data Documentation

unsigned WP3PageFormatGroup::m_bottomMargin
| private

Referenced by _readContents(), and parse().

unsigned WP3PageFormatGroup::m_indent
| private

Referenced by _readContents(), and parse().

bool WP3PageFormatGroup::m_isRelative
| private

Referenced by _readContents(), and parse().

unsigned char WP3PageFormatGroup::m_justification
| private

Referenced by _readContents(), and parse().

unsigned WP3PageFormatGroup::m_leftMargin
| private

Referenced by _readContents(), and parse().

double WP3PageFormatGroup::m_lineSpacing
| private

Referenced by _readContents(), and parse().

unsigned WP3PageFormatGroup::m_rightMargin
| private

Referenced by _readContents(), and parse().

unsigned short WP3PageFormatGroup::m_suppressCode
| private

Referenced by _readContents(), and parse().

std::vector<WPXTabStop> WP3PageFormatGroup::m_tabStops
| private

Referenced by _readContents(), and parse().

unsigned WP3PageFormatGroup::m_topMargin
| private

Referenced by _readContents(), and parse().

The documentation for this class was generated from the following files:

- WP3PageFormatGroup.h
- WP3PageFormatGroup.cpp